<?php

if ( !class_exists( "SDT_Settings" ) ) {
    class SDT_Settings
    {
        private  $opt_name ;
        public function __construct()
        {
            $this->opt_name = "site_audit_settings";
            add_action( 'plugins_loaded', array( $this, 'init' ) );
        }
        
        public function init()
        {
            global  $SDT_plugin ;
            if ( !class_exists( 'Redux' ) ) {
                return;
            }
            Redux::setArgs(
                $this->opt_name,
                // This is your opt_name,
                array(
                    'display_name'     => __( 'Site auditor', SDT_TEXT_DOMAIN ),
                    'menu_title'       => __( 'Settings', SDT_TEXT_DOMAIN ),
                    'admin_bar'        => 'true',
                    'page_slug'        => 'site_audit_settings_page_slug',
                    'menu_type'        => 'submenu',
                    'allow_sub_menu'   => true,
                    'page_title'       => __( 'Settings', SDT_TEXT_DOMAIN ),
                    'page_permissions' => 'manage_options',
                    'page_parent'      => $SDT_plugin->args['plugin_prefix'] . 'welcome_page',
                )
            );
            $options = array(
                array(
                'id'    => 'sdt_logo',
                'type'  => 'media',
                'url'   => true,
                'title' => __( 'Logo', SDT_TEXT_DOMAIN ),
            ),
                array(
                'id'       => 'sdt_pdf_main_color',
                'type'     => 'color',
                'title'    => __( 'Main color', SDT_TEXT_DOMAIN ),
                'subtitle' => __( 'Pick a color for the pdf report (default: #000).', SDT_TEXT_DOMAIN ),
                'default'  => '#000000',
            ),
                array(
                'id'       => 'sdt_mail_bcc',
                'type'     => 'text',
                'title'    => __( 'Email: Send results copy (bcc) to these addresses', SDT_TEXT_DOMAIN ),
                'subtitle' => __( 'Enter the admin email. Separate each email with a comma.', SDT_TEXT_DOMAIN ),
                'default'  => get_option( 'admin_email' ),
            ),
                array(
                'id'       => 'sdt_mail_subject',
                'type'     => 'text',
                'title'    => __( 'Email subject', SDT_TEXT_DOMAIN ),
                'subtitle' => __( 'Write the message that will appear in the mail', SDT_TEXT_DOMAIN ),
                'default'  => __( 'Here\'s your report', SDT_TEXT_DOMAIN ),
            ),
                array(
                'id'       => 'sdt_mail_message',
                'type'     => 'editor',
                'title'    => __( 'Email message', SDT_TEXT_DOMAIN ),
                'subtitle' => __( 'Write the message that will appear in the mail', SDT_TEXT_DOMAIN ),
                'default'  => '<p>We completed the site audit on your site, here are the results.</p><a href="{result_url}">View results</a>',
            ),
                array(
                'id'       => 'sdt_googleapi_key',
                'type'     => 'text',
                'title'    => __( 'Google PageSpeed Insights API key', SDT_TEXT_DOMAIN ),
                'default'  => '',
                'subtitle' => __( 'Get your API key here: <a href="https://console.cloud.google.com" target="_blank">Get key</a> - <a href="https://greenjaymedia.com/wp-site-auditor/how-to-get-api-keys/" target="_blank">Tutorial</a>', SDT_TEXT_DOMAIN ),
            ),
                array(
                'id'       => 'sdt_mozapi_accessid',
                'type'     => 'text',
                'title'    => __( 'Moz API: Access ID', SDT_TEXT_DOMAIN ),
                'default'  => '',
                'subtitle' => __( 'Get your access id and secret key here: <a href="https://moz.com/products/api/keys" target="_blank">Get key</a> - <a href="https://greenjaymedia.com/wp-site-auditor/how-to-get-api-keys/" target="_blank">Tutorial</a>', SDT_TEXT_DOMAIN ),
            ),
                array(
                'id'      => 'sdt_mozapi_secretkey',
                'type'    => 'text',
                'title'   => __( 'Moz API: Secret ID Key', SDT_TEXT_DOMAIN ),
                'default' => '',
            ),
                array(
                'id'       => 'sdt_results_page',
                'type'     => 'select',
                'data'     => 'pages',
                'title'    => __( 'Results page', SDT_TEXT_DOMAIN ),
                'subtitle' => __( 'Set the page where the shortcode results is located. This page must be published.', SDT_TEXT_DOMAIN ),
            )
            );
            Redux::setSection( $this->opt_name, array(
                'id'     => 'site_audit_options',
                'title'  => 'Options',
                'fields' => $options,
            ) );
        }
    
    }
    $sdt_settings = new SDT_Settings();
}
